Rated 4 out of 5 stars

Does not seem to work with FF 4.0.